# nomad-cbec-id-cli
This is the API descriptor for the Nomad CBEC, responsible for CBEC customer ID check.
Developed by `Samarkand Global <https://samarkand.global>`_

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.4.0
- Package version: 1.4.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import nomad_cbec_id_cli
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import nomad_cbec_id_cli
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import nomad_cbec_id_cli
from nomad_cbec_id_cli.rest import ApiException
from pprint import pprint


# Defining host is optional and default to https://nomad.samarkand-global.cn/cbec
configuration.host = "https://nomad.samarkand-global.cn/cbec"
# Enter a context with an instance of the API client
with nomad_cbec_id_cli.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = nomad_cbec_id_cli.HealthApi(api_client)
    
    try:
        # health
        api_response = api_instance.get_health()
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling HealthApi->get_health: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *https://nomad.samarkand-global.cn/cbec*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*HealthApi* | [**get_health**](docs/HealthApi.md#get_health) | **GET** /health | health
*HealthApi* | [**get_metrics**](docs/HealthApi.md#get_metrics) | **GET** /metrics | metrics
*UserApi* | [**id_check**](docs/UserApi.md#id_check) | **GET** /id | idCheck


## Documentation For Models

 - [ApiResponse](docs/ApiResponse.md)
 - [ApiResponseData](docs/ApiResponseData.md)


## Documentation For Authorization


## ca_key

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: URL query string


## Author

paul@samarkand.global


